### Method

# GtkSource PrintCompositor set_footer_format

#### Declaration [src]

    void
    gtk_source_print_compositor_set_footer_format (
      GtkSourcePrintCompositor* compositor,
      gboolean separator,
      const gchar* left,
      const gchar* center,
      const gchar* right
    )

#### Description [src]

See `gtk_source_print_compositor_set_header_format()` for more information about the parameters.

#### Parameters

`separator`

  Type: `gboolean`

  `TRUE` if you want a separator line to be printed.

`left`

  Type: `const gchar*`

  A format string to print on the left of the footer.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`center`

  Type: `const gchar*`

  A format string to print on the center of the footer.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`right`

  Type: `const gchar*`

  A format string to print on the right of the footer.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.